Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnimatedEmoji

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AnimatedEmoji

Enclosing class:
  TdApi

public static final class TdApi.AnimatedEmoji extends TdApi.Object
Describes an animated representation of an emoji.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ColorReplacement[]`
`colorReplacements`
List of colors to be replaced while the sticker is rendered.
`static final int`
`CONSTRUCTOR`
`TdApi.File`
`sound`
File containing the sound to be played when the animated emoji is clicked if any; may be null.
`TdApi.Sticker`
`sticker`
Animated sticker for the emoji.

## Constructor Summary

Constructors
Constructor
Description
`AnimatedEmoji()`
Describes an animated representation of an emoji.
`AnimatedEmoji(TdApi.Sticker sticker, TdApi.ColorReplacement[] colorReplacements, TdApi.File sound)`
Describes an animated representation of an emoji.
`AnimatedEmoji(DataInput input)`
Describes an animated representation of an emoji.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.Sticker sticker
Animated sticker for the emoji.

### colorReplacements

public TdApi.ColorReplacement[] colorReplacements
List of colors to be replaced while the sticker is rendered.

### sound

public TdApi.File sound
File containing the sound to be played when the animated emoji is clicked if any; may be null. The sound is encoded with the Opus codec, and stored inside an OGG container.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AnimatedEmoji

public AnimatedEmoji()
Describes an animated representation of an emoji.

### AnimatedEmoji

public AnimatedEmoji(TdApi.Sticker sticker, TdApi.ColorReplacement[] colorReplacements, TdApi.File sound)
Describes an animated representation of an emoji.

Parameters:
  `sticker` - Sticker Animated sticker for the emoji.
  `colorReplacements` - ColorReplacement[] List of colors to be replaced while the sticker is rendered.
  `sound` - File File containing the sound to be played when the animated emoji is clicked if any; may be null. The sound is encoded with the Opus codec, and stored inside an OGG container.

### AnimatedEmoji

public AnimatedEmoji(DataInput input) throws IOException
Describes an animated representation of an emoji.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`